Skip to main content

Update Repair

PUT 

/api/repairs/:repair

Update Repair.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • customer_id (optional): integer, exists:customers,id
  • sales_order_id (optional): integer, exists:sales_orders,id
  • warehouse_id (optional): integer, exists:warehouses,id
  • inbound_method (optional): Enum:in:"customer_ships","drop_off","already_received","no_return_needed"
  • ship_to_address_id (optional): integer, exists:addresses,id
  • contact_email (optional): email, max:190
  • contact_phone (optional): string, max:40
  • assignee_user_id (optional): integer

Permission: repairs.update. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type